package com.ruoyi.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.business.domain.Apply;
import com.ruoyi.business.domain.vo.ListApplyVO;

/**
 * 应用信息管理Mapper接口
 * 
 * @author LiuChengRan
 * @date 2024-06-13
 */
public interface ApplyMapper extends BaseMapper<Apply>
{

    /**
     * 查询应用信息管理列表
     * 
     * @param apply 应用信息管理
     * @return 应用信息管理集合
     */
    List<ListApplyVO> selectApplyList(Apply apply);

    /**
     * 查询所有应用信息列表
     *
     * @param apply 应用信息管理
     * @return 应用信息管理集合
     */
    List<Apply> selectApplyAllList(Apply apply);

}
