package com.ruoyi.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.business.domain.ApplyPlan;

/**
 * 应用执行计划管理Mapper接口
 * 
 * @author LiuChengRan
 * @date 2024-06-14
 */
public interface ApplyPlanMapper extends BaseMapper<ApplyPlan>
{

    /**
     * 查询应用执行计划管理列表
     * 
     * @param applyPlan 应用执行计划管理
     * @return 应用执行计划管理集合
     */
    List<ApplyPlan> selectApplyPlanList(ApplyPlan applyPlan);

    /**
     * 重新运行
     * @return
     */
    Integer appRetry(String taskUuid);
}
