package com.ruoyi.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.business.domain.Rebot;

/**
 * 机器人管理Mapper接口
 * 
 * @author LiuChengRan
 * @date 2024-06-13
 */
public interface RebotMapper extends BaseMapper<Rebot>
{


    /**
     * 查询机器人管理列表
     * 
     * @param rebot 机器人管理
     * @return 机器人管理集合
     */
    List<Rebot> selectRebotList(Rebot rebot);

}
