package com.ruoyi.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.business.domain.ResourceLibrary;
import org.apache.ibatis.annotations.Param;

/**
 * 资源库管理Mapper接口
 * 
 * @author LiuChengRan
 * @date 2024-06-17
 */
public interface ResourceLibraryMapper extends BaseMapper<ResourceLibrary>
{

    /**
     * 查询资源库管理列表
     *
     * @param resourceLibrary 资源库管理
     * @return 资源库管理集合
     */
    List<ResourceLibrary> selectResourceLibraryList(@Param("resourceLibrary") ResourceLibrary resourceLibrary, @Param("appIdList") String appIdList);

}
