package com.ruoyi.common.enums;

/**
 * 计划任务应用执行状态
 */
public enum PlanRunStatus {
    AWAIT_CREATE("await_create", "等待创建"),
    CREATED("created", "已创建"),
    WAITING("waiting", "等待调度"),
    RUNNING("running", "运行中"),
    FINISH("finish", "完成"),
    STOPPING("stopping", "停止中"),
    STOPPED("stopped", "已停止"),
    ERROR("error", "异常"),
    SKIPPED("skipped", "已跳过"),
    CANCEL("cancel", "已取消");

    private String key;
    private String value;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    PlanRunStatus(String key, String value) {
        this.key = key;
        this.value = value;
    }
}
