package com.ruoyi.common.enums;

import lombok.Data;

/**
 * 机器人状态枚举
 */

public enum RebotStatus {
    CONNECTED("connected", "已连接"),
    IDLE("idle", "空闲"),
    ALLOCATED("allocated", "已分配"),
    RUNNING("running", "运行中"),
    OFFLINE("offline", "离线");

    private String key;
    private String value;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    RebotStatus(String key, String value) {
        this.key = key;
        this.value = value;
    }
}
