package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.Rebot;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 机器人管理Service接口
 * 
 * @author LiuChengRan
 * @date 2024-06-13
 */
public interface IRebotService extends IService<Rebot>
{

    /**
     * 同步机器人数据
     * @return
     */
    void syn(Rebot rebot) throws IllegalAccessException;
    /**
     * 查询机器人管理列表
     * 
     * @param rebot 机器人管理
     * @return 机器人管理集合
     */
    List<Rebot> list(Rebot rebot);

}
