package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.ApplyPlanLogMapper;
import com.ruoyi.business.domain.ApplyPlanLog;
import com.ruoyi.business.service.IApplyPlanLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 应用执行结果记录管理Service业务层处理
 * 
 * @author LiuChengRan
 * @date 2024-06-14
 */
@Service
public class ApplyPlanLogServiceImpl extends ServiceImpl<ApplyPlanLogMapper, ApplyPlanLog> implements IApplyPlanLogService
{


    /**
     * 查询应用执行结果记录管理列表
     * 
     * @param applyPlanLog 应用执行结果记录管理
     * @return 应用执行结果记录管理
     */
    @Override
    public List<ApplyPlanLog> list(ApplyPlanLog applyPlanLog)
    {
        return baseMapper.selectApplyPlanLogList(applyPlanLog);
    }
}
